﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.1
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Toyota.Web.Service.Wrapper.SecurityCenter {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="WCFSecurityCenter", ConfigurationName="SecurityCenter.ISecurityCenter")]
    public interface ISecurityCenter {
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/Login", ReplyAction="WCFSecurityCenter/ISecurityCenter/LoginResponse")]
        bool Login(string UserName, string Password);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/getRole", ReplyAction="WCFSecurityCenter/ISecurityCenter/getRoleResponse")]
        string getRole(string UserName, string Password, string App);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/appList", ReplyAction="WCFSecurityCenter/ISecurityCenter/appListResponse")]
        string[] appList(string UserName, string Password);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/LogOut", ReplyAction="WCFSecurityCenter/ISecurityCenter/LogOutResponse")]
        bool LogOut(string UserName, string Password);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/getEmail", ReplyAction="WCFSecurityCenter/ISecurityCenter/getEmailResponse")]
        string getEmail(string UserName, string Password, string[] usernames);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/regCreate", ReplyAction="WCFSecurityCenter/ISecurityCenter/regCreateResponse")]
        bool regCreate(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/regUpdate", ReplyAction="WCFSecurityCenter/ISecurityCenter/regUpdateResponse")]
        bool regUpdate(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/regDelete", ReplyAction="WCFSecurityCenter/ISecurityCenter/regDeleteResponse")]
        bool regDelete(string UserName, string Password, string UserEmail);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/regIsExist", ReplyAction="WCFSecurityCenter/ISecurityCenter/regIsExistResponse")]
        bool regIsExist(string UserName, string Password, string UserEmail);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/genNewUser", ReplyAction="WCFSecurityCenter/ISecurityCenter/genNewUserResponse")]
        string genNewUser(string UserName, string Password, string Email);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/genNewPass", ReplyAction="WCFSecurityCenter/ISecurityCenter/genNewPassResponse")]
        string genNewPass(string UserName, string Password, string Email);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/IsDefaultAppExist", ReplyAction="WCFSecurityCenter/ISecurityCenter/IsDefaultAppExistResponse")]
        bool IsDefaultAppExist(string UserName, string Password, string UserEmail);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/UpdateDefaultApp", ReplyAction="WCFSecurityCenter/ISecurityCenter/UpdateDefaultAppResponse")]
        bool UpdateDefaultApp(string UserName, string Password, string DefaultApplication);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/getDefaultApp", ReplyAction="WCFSecurityCenter/ISecurityCenter/getDefaultAppResponse")]
        string getDefaultApp(string UserName, string Password);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/GetEmployeesData", ReplyAction="WCFSecurityCenter/ISecurityCenter/GetEmployeesDataResponse")]
        string GetEmployeesData(string values);
        
        [System.ServiceModel.OperationContractAttribute(Action="WCFSecurityCenter/ISecurityCenter/GetOrganizationStruct", ReplyAction="WCFSecurityCenter/ISecurityCenter/GetOrganizationStructResponse")]
        string GetOrganizationStruct(string Username, string Password, string values);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ISecurityCenterChannel : Toyota.Web.Service.Wrapper.SecurityCenter.ISecurityCenter, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class SecurityCenterClient : System.ServiceModel.ClientBase<Toyota.Web.Service.Wrapper.SecurityCenter.ISecurityCenter>, Toyota.Web.Service.Wrapper.SecurityCenter.ISecurityCenter {
        
        public SecurityCenterClient() {
        }
        
        public SecurityCenterClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public SecurityCenterClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public SecurityCenterClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public SecurityCenterClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public bool Login(string UserName, string Password) {
            return base.Channel.Login(UserName, Password);
        }
        
        public string getRole(string UserName, string Password, string App) {
            return base.Channel.getRole(UserName, Password, App);
        }
        
        public string[] appList(string UserName, string Password) {
            return base.Channel.appList(UserName, Password);
        }
        
        public bool LogOut(string UserName, string Password) {
            return base.Channel.LogOut(UserName, Password);
        }
        
        public string getEmail(string UserName, string Password, string[] usernames) {
            return base.Channel.getEmail(UserName, Password, usernames);
        }
        
        public bool regCreate(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone) {
            return base.Channel.regCreate(UserName, Password, CompanyName, Address, CompanyAddress, Email, ContactPerson, Telephone, Faximile, MobilePhone);
        }
        
        public bool regUpdate(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone) {
            return base.Channel.regUpdate(UserName, Password, CompanyName, Address, CompanyAddress, Email, ContactPerson, Telephone, Faximile, MobilePhone);
        }
        
        public bool regDelete(string UserName, string Password, string UserEmail) {
            return base.Channel.regDelete(UserName, Password, UserEmail);
        }
        
        public bool regIsExist(string UserName, string Password, string UserEmail) {
            return base.Channel.regIsExist(UserName, Password, UserEmail);
        }
        
        public string genNewUser(string UserName, string Password, string Email) {
            return base.Channel.genNewUser(UserName, Password, Email);
        }
        
        public string genNewPass(string UserName, string Password, string Email) {
            return base.Channel.genNewPass(UserName, Password, Email);
        }
        
        public bool IsDefaultAppExist(string UserName, string Password, string UserEmail) {
            return base.Channel.IsDefaultAppExist(UserName, Password, UserEmail);
        }
        
        public bool UpdateDefaultApp(string UserName, string Password, string DefaultApplication) {
            return base.Channel.UpdateDefaultApp(UserName, Password, DefaultApplication);
        }
        
        public string getDefaultApp(string UserName, string Password) {
            return base.Channel.getDefaultApp(UserName, Password);
        }
        
        public string GetEmployeesData(string values) {
            return base.Channel.GetEmployeesData(values);
        }
        
        public string GetOrganizationStruct(string Username, string Password, string values) {
            return base.Channel.GetOrganizationStruct(Username, Password, values);
        }
    }
}
